MCP Tools Reference: slidesmcp.googleapis.com

Tool: read_slide_page_thumbnail

Reads a thumbnail representation of a single slide page in a presentation, returning the thumbnail image URL along with its width and height dimensions.

Corresponds to presentations.pages.getThumbnail in the REST API.

The following code sample shows how to use curl to call the read_slide_page_thumbnail MCP tool.

Curl Request
curl --location 'https://slidesmcp.googleapis.com/mcp' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "read_slide_page_thumbnail",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request to read a thumbnail representation of a single slide page in a presentation.

ReadSlidePageThumbnailRequest

JSON representation
{
  "presentationId": string,
  "pageId": string,
  "thumbnailProperties": {
    object (ThumbnailProperties)
  }
}
Fields
presentationId

string

Required. The ID of the presentation containing the page to retrieve a thumbnail for.

pageId

string

Required. The ID of the slide page to retrieve a thumbnail for.

thumbnailProperties

object (ThumbnailProperties)

Optional. The optional properties of the thumbnail image to be returned.

ThumbnailProperties

JSON representation
{
  "mimeType": enum (MimeType),
  "thumbnailSize": enum (ThumbnailSize)
}
Fields
mimeType

enum (MimeType)

Optional. The optional mime type of the thumbnail image.

If a mime type is not specified, the default mime type is PNG.

thumbnailSize

enum (ThumbnailSize)

Optional. The optional thumbnail image size.

If a thumbnail size is not specified, the server chooses a default size of the image.

MimeType

The mime type of the thumbnail image. This enum is frozen; new values are not expected to be added.

Enums
MIME_TYPE_UNSPECIFIED The unspecified mime type.
PNG PNG mime type.

ThumbnailSize

The predefined thumbnail image sizes. Values here describe the width of the thumbnail image. When the page height is greater than the width, the width may be less than the specified size.

Enums
THUMBNAIL_SIZE_UNSPECIFIED

The default thumbnail image size.

The unspecified thumbnail size implies that the server chooses the size of the image in a way that might vary in the future.

LARGE The thumbnail image width of 1600px.
MEDIUM The thumbnail image width of 800px.
SMALL The thumbnail image width of 200px.
WIDTH2000_PX The thumbnail image width of 2000px.

Output Schema

Response containing the slide page thumbnail.

ReadSlidePageThumbnailResponse

JSON representation
{
  "widthPx": integer,
  "heightPx": integer,
  "contentUrl": string
}
Fields
widthPx

integer

The width of the thumbnail image in pixels.

heightPx

integer

The height of the thumbnail image in pixels.

contentUrl

string

The content URL of the thumbnail image.

Tool Annotations

Tool annotations are sent to MCP clients to describe the basic risk of a given tool. Most clients treat these hints as untrusted, but they can be used to decide when a confirmation prompt might be sent to a user.

Along with the title string, the following boolean hints are defined as follows:

  • readOnlyHint: If true, the tool doesn't modify its environment. Default: false.
  • destructiveHint: If true, then the tool can perform destructive actions. If false, then the tool can only perform additive actions. Default: true.
  • idempotentHint: If true, then calling the tool repeatedly with the same arguments will have no additional effect on its environment. Default: false.
  • openWorldHint: If true, then the tool can interact with an 'open world' of external entities. If false, then the tool can only interact with internal entities. For example, a web search tool would be open world, while a memory tool would not be open world.

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ✅

Authorization Scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/drive.readonly
  • https://www.googleapis.com/auth/presentations.readonly
  • https://www.googleapis.com/auth/drive
  • https://www.googleapis.com/auth/drive.file
  • https://www.googleapis.com/auth/presentations